/* Most of the program paths does not include an absolute path. This will make the
 * system use the search path. I.e. it's a feature :-)
 */
#undef _PATH_CONF
#undef _PATH_DEBUG
#undef _PATH_DEVNULL	
#undef _PATH_DUMPFILE
#undef _PATH_NAMED
#undef _PATH_PIDFILE
#undef _PATH_STATS	
#define _PATH_CONF	"named.conf"
#define _PATH_DEBUG	"named.run"
#define _PATH_DEVNULL	"nul"
#define _PATH_DUMPFILE	getos2path("TEMP","named_dump.db")
#define _PATH_NAMED     "named.exe"	
#define _PATH_PIDFILE   getos2path("ETC","named.pid")
#define _PATH_STATS	getos2path("TEMP","named.stats")

#undef _PATH_TMPXFER	
#undef _PATH_XFER
#undef _PATH_XFERDDT	
#undef _PATH_XFERTRACE	
#define _PATH_TMPXFER	"xfer.ddt.XXXXXX"
#define _PATH_XFER	"named-xfer"
#define _PATH_XFERDDT	getos2path("TEMP","xfer.ddt")
#define _PATH_XFERTRACE	getos2path("TEMP","xfer.trace")

#undef _PATH_HOSTS
#undef _PATH_NETWORKS
#undef _PATH_PROTOCOLS
#undef _PATH_RESCONF
#undef _PATH_SERVICES
#define	_PATH_HOSTS	getos2path("ETC","hosts")
#define	_PATH_IRS_CONF	getos2path("ETC","irs.conf")
#define	_PATH_NETWORKS	getos2path("ETC","networks")
#define	_PATH_PROTOCOLS	getos2path("ETC","protocol")
#define _PATH_RESCONF	getos2path("ETC","resolv2")
#define	_PATH_SERVICES	getos2path("ETC","services")

/*
#undef _PATH_NDCSOCK
#define	_PATH_NDCSOCK	getos2path("ETC","bogusos2")
*/

/* PAGERCMD must be redifined since OS/2 "more" reads from stdin
 * We place the help file in ETC, since tcpip/help can be diffucult to locate
 * (not even necessarily on the same disk as mptn/etc!)
 * Adding a slash to .nslookuprc since most people will SET HOME=x:\myhome
 * without a trailing slash.
 */
#undef _PATH_HELPFILE
#undef _PATH_NSLOOKUPRC
#undef _PATH_PAGERCMD
#define _PATH_PAGERCMD	"more<"
#define _PATH_HELPFILE	getos2path("ETC","nslookup.help")
#define _PATH_NSLOOKUPRC "/.nslookuprc"

/* IRS */
#ifndef __IRS_PATH__
#undef _PATH_IRS_CONF
#undef _PATH_GROUP
#undef _PATH_NETGROUP
#undef _PATH_HESIOD_CONF
#define	_PATH_IRS_CONF		getos2path("ETC","irs.conf")
#define _PATH_GROUP		getos2path("ETC","group")
#define _PATH_NETGROUP		getos2path("ETC","netgroup")
#define _PATH_HESIOD_CONF	getos2path("ETC","hesiod.conf")
#define __IRS_PATH__
#endif

#ifndef _PATHS_H
#define _PATHS_H

char *getos2path(char *sysvar, char *filename);

#endif	/* _PATHS_H */
